%define name	gigolo
%define version	 0.4.2
%define release %mkrel 1

Summary:        Gigolo is a frontend to manage connections to remote filesystems. 
Summary(de):	Gigolo ist ein Frontend zur Verwaltung von Verbindungen zu entfernten Dateisystemen.
Name:           %{name}
Version:        %{version}
Release:        %{release}
URL:            http://www.uvena.de/gigolo/
License:        GPL v2 or later
Group:          Graphical desktop/Xfce
Source:         http://goodies.xfce.org/releases/gigolo/gigolo-%{version}.tar.xz
Source1:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	gtk2-devel 
BuildRequires:	glib2-devel 
BuildRequires:	gettext 
BuildRequires:	pkgconfig 
BuildRequires:	intltool 
BuildRequires:	perl-XML-Parser
BuildRequires: 	desktop-file-utils 
BuildRequires:	%{_lib}gvfs-devel 



%description
Gigolo is a frontend to easily manage connections to remote filesystems
using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
and manage bookmarks of such.

It is part of the Xfce Goodies project and the Subversion respository is
hosted on the Xfce servers though it does not have any hard Xfce dependencies
and can be used on other desktop environments as well. 
The only hard dependency is GTK2 (2.12 or newer).

GVfs is an userspace virtual filesystem and the successor of GnomeVfs
but does not depend on Gnome itself. It only requires a recent GLib
version and a properly setup DBus system. Then it provides almost
transparent access to remote resources like FTP or SFTP (SSH)
connections, SMB (windows shares) or special resources like
the Trash (trash://), Burn (burn://) or even accessing your
digital photo camera (gphoto2://).

Gigolo itself provides a frontend to manage connections
to those resources, to create bookmarks and automatically
connecting to bookmarks.

%description -l de
Gigolo ist ein Frontend zur einfachen Verwaltung von Verbindungen zu 
entfernten Dateisystemen, wobei GIO/GVFS benutzt wird. Es erlaubt Ihnen 
das schnelle Verbinden/Mounten eines entfernten Dateisystems und das Verwalten 
von Lesezeichen für diese.


%prep
%setup -q

%build
sh autogen.sh
%configure2_5x
%make



%install
%makeinstall_std
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

#menu    
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Comment=A simple frontend to easily connect to remote filesystems
Comment[de]=Ein einfaches Frontend zum einfachen Verwalten von Verbindungen zu entfernten Dateisystemen
Name=%{name}
Type=Application
Exec=%{name} 
Icon=%{name}.png
Terminal=false
Categories=System;GTK;Filesystem;X-MandrivaLinux-System-Configuration;
EOF

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc


%post
%{update_menus}


%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc %{_mandir}/man1/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jun 02 2017 threepio <threepio> 0.4.2-1uplos2017
- rebuild for uplos


* Mon Feb 03 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 0.4.2-1pclos2014
- 0.4.2
- update build system waf to configure make makeinstall

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.4.1-2pclos2012
- rebuild

* Mon Aug 30 2010 Texstar <texstar at gmail.com> 0.4.1-1pclos2010
- 0.4.1

* Tue Jan 05 2010 slick50 <lxgator@gmail.com> 0.4.0-1pclos2010
- 0.4.0

* Mon Apr 20 2009 slick50 <lxgator@gmail.com> 0.3.2-1pclos2009
- initial pkg
